# RakNet::SQLite3ClientPlugin Class Reference
[SQLite3Plugin]

`#include <SQLite3ClientPlugin.h>`

Inheritance diagram for RakNet::SQLite3ClientPlugin:

List of all members.

## Public Member Functions
void | AddResultHandler (SQLite3PluginResultInterface *res)
unsigned int | _sqlite3_exec (RakNet::RakString dbIdentifier, RakNet::RakString inputStatement, PacketPriority priority, PacketReliability reliability, char orderingChannel, SystemAddress systemAddress)
virtual PluginReceiveResult | OnReceive (Packet *packet)

## Detailed Description

SQLite version 3 supports remote calls via networked file handles, but not over the regular internet This plugin will serialize calls to and results from sqlite3_exec That's all it does - any remote system can execute SQL queries. Intended as a starting platform to derive from for more advanced functionality (security over who can query, etc). Compatible as a plugin with both RakPeerInterface and PacketizedTCP

## Member Function Documentation

unsigned int RakNet::SQLite3ClientPlugin::_sqlite3_exec | ( | RakNet::RakString | dbIdentifier,
|  | RakNet::RakString | inputStatement,
|  | PacketPriority | priority,
|  | PacketReliability | reliability,
|  | char | orderingChannel,
|  | SystemAddress | systemAddress |
| ) |  |  |

Execute a statement on the remote system

Note:
  Don't forget to escape your input strings. RakString::SQLEscape() is available for this.

Parameters:

  `[in]` | dbIdentifier | Which database to use, added with AddDBHandle()
  `[in]` | inputStatement | SQL statement to execute
  `[in]` | priority | See RakPeerInterface::Send()
  `[in]` | reliability | See RakPeerInterface::Send()
  `[in]` | orderingChannel | See RakPeerInterface::Send()
  `[in]` | systemAddress | See RakPeerInterface::Send()

Returns:
  Query ID. Will be returned in _sqlite3_exec

void RakNet::SQLite3ClientPlugin::AddResultHandler | ( | SQLite3PluginResultInterface * | res | ) |

Add an interface to get callbacks for results Up to user to make sure the pointer is valid through the lifetime of use

virtual PluginReceiveResult RakNet::SQLite3ClientPlugin::OnReceive | ( | Packet * | packet | ) | `[virtual]`

OnReceive is called for every packet.

Parameters:

  `[in]` | packet | the packet that is being returned to the user

Returns:
  True to allow the game and other plugins to get this message, false to absorb it

Reimplemented from PluginInterface2.

The documentation for this class was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/SQLite3Plugin/SQLite3ClientPlugin.h